<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'docTypeRef_ProcessShipmentRequestType' => '\\StructType\\DocTypeRef_ProcessShipmentRequestType',
            'docTypeRef_ClientDetailType2' => '\\StructType\\DocTypeRef_ClientDetailType2',
            'Request' => '\\StructType\\Request',
            'ServiceHeaderType' => '\\StructType\\ServiceHeaderType',
            'docTypeRef_Content' => '\\StructType\\DocTypeRef_Content',
            'docTypeRef_DangerousGoods' => '\\StructType\\DocTypeRef_DangerousGoods',
            'docTypeRef_RequestedShipmentType' => '\\StructType\\DocTypeRef_RequestedShipmentType',
            'docTypeRef_ShipmentInfoType' => '\\StructType\\DocTypeRef_ShipmentInfoType',
            'ShipmentPrepaidTotalCharge' => '\\StructType\\ShipmentPrepaidTotalCharge',
            'docTypeRef_InternationDetailType' => '\\StructType\\DocTypeRef_InternationDetailType',
            'docTypeRef_CommoditiesType' => '\\StructType\\DocTypeRef_CommoditiesType',
            'ExportDeclaration' => '\\StructType\\ExportDeclaration',
            'ExportLineItems' => '\\StructType\\ExportLineItems',
            'ExportLineItemType' => '\\StructType\\ExportLineItemType',
            'InvoiceDeclarationTexts' => '\\StructType\\InvoiceDeclarationTexts',
            'InvoiceDeclarationText' => '\\StructType\\InvoiceDeclarationText',
            'InvoiceSignatureDetails' => '\\StructType\\InvoiceSignatureDetails',
            'OtherCharges' => '\\StructType\\OtherCharges',
            'OtherCharge' => '\\StructType\\OtherCharge',
            'Remarks' => '\\StructType\\Remarks',
            'Remark' => '\\StructType\\Remark',
            'docTypeRef_OnDemandDeliveryOptions' => '\\StructType\\DocTypeRef_OnDemandDeliveryOptions',
            'docTypeRef_ShipType' => '\\StructType\\DocTypeRef_ShipType',
            'docTypeRef_ContactInfoType' => '\\StructType\\DocTypeRef_ContactInfoType',
            'docTypeRef_ContactInfoType1' => '\\StructType\\DocTypeRef_ContactInfoType1',
            'docTypeRef_ContactType' => '\\StructType\\DocTypeRef_ContactType',
            'docTypeRef_ContactType1' => '\\StructType\\DocTypeRef_ContactType1',
            'docTypeRef_AddressType' => '\\StructType\\DocTypeRef_AddressType',
            'docTypeRef_AddressType1' => '\\StructType\\DocTypeRef_AddressType1',
            'docTypeRef_RegistrationNumbers' => '\\StructType\\DocTypeRef_RegistrationNumbers',
            'docTypeRef_RegistrationNumber' => '\\StructType\\DocTypeRef_RegistrationNumber',
            'docTypeRef_BankDetails' => '\\StructType\\DocTypeRef_BankDetails',
            'docTypeRef_BankDetail' => '\\StructType\\DocTypeRef_BankDetail',
            'docTypeRef_PackagesType' => '\\StructType\\DocTypeRef_PackagesType',
            'docTypeRef_RequestedPackagesType' => '\\StructType\\DocTypeRef_RequestedPackagesType',
            'docTypeRef_DimensionsType' => '\\StructType\\DocTypeRef_DimensionsType',
            'Billing' => '\\StructType\\Billing',
            'Services' => '\\StructType\\Services',
            'Service' => '\\StructType\\Service',
            'DocumentImages' => '\\StructType\\DocumentImages',
            'DocumentImage' => '\\StructType\\DocumentImage',
            'LabelOptions' => '\\StructType\\LabelOptions',
            'CustomerLogo' => '\\StructType\\CustomerLogo',
            'CustomerBarcode' => '\\StructType\\CustomerBarcode',
            'DetachOptions' => '\\StructType\\DetachOptions',
            'ShipmentReferences' => '\\StructType\\ShipmentReferences',
            'ShipmentReferenceType' => '\\StructType\\ShipmentReferenceType',
            'BespokeLabelData' => '\\StructType\\BespokeLabelData',
            'LabelBarcodes' => '\\StructType\\LabelBarcodes',
            'LabelBarcode' => '\\StructType\\LabelBarcode',
            'LabelTextEntries' => '\\StructType\\LabelTextEntries',
            'LabelTextEntry' => '\\StructType\\LabelTextEntry',
            'docTypeRef_ShipmentNotifications' => '\\StructType\\DocTypeRef_ShipmentNotifications',
            'docTypeRef_ShipmentNotification' => '\\StructType\\DocTypeRef_ShipmentNotification',
            'docTypeRef_RateRequestType' => '\\StructType\\DocTypeRef_RateRequestType',
            'docTypeRef_ClientDetailType3' => '\\StructType\\DocTypeRef_ClientDetailType3',
            'RequestType' => '\\StructType\\RequestType',
            'docTypeRef_RequestedShipmentType2' => '\\StructType\\DocTypeRef_RequestedShipmentType2',
            'docTypeRef_ShipType2' => '\\StructType\\DocTypeRef_ShipType2',
            'docTypeRef_AddressType2' => '\\StructType\\DocTypeRef_AddressType2',
            'docTypeRef_PackagesType2' => '\\StructType\\DocTypeRef_PackagesType2',
            'docTypeRef_RequestedPackagesType2' => '\\StructType\\DocTypeRef_RequestedPackagesType2',
            'docTypeRef_WeightType' => '\\StructType\\DocTypeRef_WeightType',
            'docTypeRef_DimensionsType2' => '\\StructType\\DocTypeRef_DimensionsType2',
            'Billing2' => '\\StructType\\Billing2',
            'Services2' => '\\StructType\\Services2',
            'Service2' => '\\StructType\\Service2',
            'ProductsAndServices2' => '\\StructType\\ProductsAndServices2',
            'ProductAndServices' => '\\StructType\\ProductAndServices',
            'LandedCostType' => '\\StructType\\LandedCostType',
            'ItemsType' => '\\StructType\\ItemsType',
            'ItemType' => '\\StructType\\ItemType',
            'GoodsCharacteristicsType' => '\\StructType\\GoodsCharacteristicsType',
            'GoodsCharacteristicType' => '\\StructType\\GoodsCharacteristicType',
            'AdditionalQuantityDefinitionsType' => '\\StructType\\AdditionalQuantityDefinitionsType',
            'AdditionalQuantityDefinitionType' => '\\StructType\\AdditionalQuantityDefinitionType',
            'ShipmentMonetaryAmountType' => '\\StructType\\ShipmentMonetaryAmountType',
            'ChargesType' => '\\StructType\\ChargesType',
            'docTypeRef_DeleteResponseType' => '\\StructType\\DocTypeRef_DeleteResponseType',
            'ResponseType' => '\\StructType\\ResponseType',
            'docTypeRef_NotificationType' => '\\StructType\\DocTypeRef_NotificationType',
            'docTypeRef_DeleteRequestType' => '\\StructType\\DocTypeRef_DeleteRequestType',
            'docTypeRef_ClientDetailType' => '\\StructType\\DocTypeRef_ClientDetailType',
            'docTypeRef_RateResponseType' => '\\StructType\\DocTypeRef_RateResponseType',
            'docTypeRef_ProviderType' => '\\StructType\\DocTypeRef_ProviderType',
            'docTypeRef_NotificationType3' => '\\StructType\\DocTypeRef_NotificationType3',
            'docTypeRef_WarningType' => '\\StructType\\DocTypeRef_WarningType',
            'docTypeRef_ServiceType' => '\\StructType\\DocTypeRef_ServiceType',
            'TotalNet' => '\\StructType\\TotalNet',
            'Charges' => '\\StructType\\Charges',
            'docTypeRef_TotalNetType' => '\\StructType\\DocTypeRef_TotalNetType',
            'docTypeRef_TotalChargeTypes' => '\\StructType\\DocTypeRef_TotalChargeTypes',
            'TotalChargeType' => '\\StructType\\TotalChargeType',
            'docTypeRef_ChargesType' => '\\StructType\\DocTypeRef_ChargesType',
            'docTypeRef_ChargeType' => '\\StructType\\DocTypeRef_ChargeType',
            'ChargeBreakdown' => '\\StructType\\ChargeBreakdown',
            'Breakdown' => '\\StructType\\Breakdown',
            'docTypeRef_ItemsType' => '\\StructType\\DocTypeRef_ItemsType',
            'docTypeRef_ItemType' => '\\StructType\\DocTypeRef_ItemType',
            'Notification' => '\\StructType\\Notification',
            'docTypeRef_ServiceAreaType' => '\\StructType\\DocTypeRef_ServiceAreaType',
            'docTypeRef_ExchangeRateType' => '\\StructType\\DocTypeRef_ExchangeRateType',
            'ExchangeRate' => '\\StructType\\ExchangeRate',
            'docTypeRef_ShipmentDetailType' => '\\StructType\\DocTypeRef_ShipmentDetailType',
            'docTypeRef_Response' => '\\StructType\\DocTypeRef_Response',
            'docTypeRef_NotificationType2' => '\\StructType\\DocTypeRef_NotificationType2',
            'docTypeRef_PackagesResultsType' => '\\StructType\\DocTypeRef_PackagesResultsType',
            'docTypeRef_PackageResultType' => '\\StructType\\DocTypeRef_PackageResultType',
            'docTypeRef_LabelImageType' => '\\StructType\\DocTypeRef_LabelImageType',
            'docTypeRef_Documents' => '\\StructType\\DocTypeRef_Documents',
            'docTypeRef_Document' => '\\StructType\\DocTypeRef_Document',
            'docTypeRef_TotalNet' => '\\StructType\\DocTypeRef_TotalNet',
            'docTypeRef_Charges' => '\\StructType\\DocTypeRef_Charges',
            'AdditionalInformation' => '\\StructType\\AdditionalInformation',
            'docTypeRef_OriginServiceAreaType' => '\\StructType\\DocTypeRef_OriginServiceAreaType',
            'docTypeRef_DestinationServiceAreaType' => '\\StructType\\DocTypeRef_DestinationServiceAreaType',
            'ServiceHandlingFeatureCodes' => '\\StructType\\ServiceHandlingFeatureCodes',
        );
    }
}
