<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for docTypeRef_RateRequestType StructType
 * @subpackage Structs
 */
class DocTypeRef_RateRequestType extends AbstractStructBase
{
    /**
     * The ClientDetail
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\DocTypeRef_ClientDetailType3
     */
    public $ClientDetail;
    /**
     * The Request
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RequestType
     */
    public $Request;
    /**
     * The RequestedShipment
     * @var \StructType\DocTypeRef_RequestedShipmentType2
     */
    public $RequestedShipment;
    /**
     * Constructor method for docTypeRef_RateRequestType
     * @uses DocTypeRef_RateRequestType::setClientDetail()
     * @uses DocTypeRef_RateRequestType::setRequest()
     * @uses DocTypeRef_RateRequestType::setRequestedShipment()
     * @param \StructType\DocTypeRef_ClientDetailType3 $clientDetail
     * @param \StructType\RequestType $request
     * @param \StructType\DocTypeRef_RequestedShipmentType2 $requestedShipment
     */
    public function __construct(\StructType\DocTypeRef_ClientDetailType3 $clientDetail = null, \StructType\RequestType $request = null, \StructType\DocTypeRef_RequestedShipmentType2 $requestedShipment = null)
    {
        $this
            ->setClientDetail($clientDetail)
            ->setRequest($request)
            ->setRequestedShipment($requestedShipment);
    }
    /**
     * Get ClientDetail value
     * @return \StructType\DocTypeRef_ClientDetailType3|null
     */
    public function getClientDetail()
    {
        return $this->ClientDetail;
    }
    /**
     * Set ClientDetail value
     * @param \StructType\DocTypeRef_ClientDetailType3 $clientDetail
     * @return \StructType\DocTypeRef_RateRequestType
     */
    public function setClientDetail(\StructType\DocTypeRef_ClientDetailType3 $clientDetail = null)
    {
        $this->ClientDetail = $clientDetail;
        return $this;
    }
    /**
     * Get Request value
     * @return \StructType\RequestType|null
     */
    public function getRequest()
    {
        return $this->Request;
    }
    /**
     * Set Request value
     * @param \StructType\RequestType $request
     * @return \StructType\DocTypeRef_RateRequestType
     */
    public function setRequest(\StructType\RequestType $request = null)
    {
        $this->Request = $request;
        return $this;
    }
    /**
     * Get RequestedShipment value
     * @return \StructType\DocTypeRef_RequestedShipmentType2|null
     */
    public function getRequestedShipment()
    {
        return $this->RequestedShipment;
    }
    /**
     * Set RequestedShipment value
     * @param \StructType\DocTypeRef_RequestedShipmentType2 $requestedShipment
     * @return \StructType\DocTypeRef_RateRequestType
     */
    public function setRequestedShipment(\StructType\DocTypeRef_RequestedShipmentType2 $requestedShipment = null)
    {
        $this->RequestedShipment = $requestedShipment;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DocTypeRef_RateRequestType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
