<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ShipmentReferences StructType
 * Meta information extracted from the WSDL
 * - documentation: Customer bar code that would like to be printed in supported transport label - ECOM26_84CI_003 templates
 * @subpackage Structs
 */
class ShipmentReferences extends AbstractStructBase
{
    /**
     * The ShipmentReference
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ShipmentReferenceType
     */
    public $ShipmentReference;
    /**
     * Constructor method for ShipmentReferences
     * @uses ShipmentReferences::setShipmentReference()
     * @param \StructType\ShipmentReferenceType $shipmentReference
     */
    public function __construct(\StructType\ShipmentReferenceType $shipmentReference = null)
    {
        $this
            ->setShipmentReference($shipmentReference);
    }
    /**
     * Get ShipmentReference value
     * @return \StructType\ShipmentReferenceType|null
     */
    public function getShipmentReference()
    {
        return $this->ShipmentReference;
    }
    /**
     * Set ShipmentReference value
     * @param \StructType\ShipmentReferenceType $shipmentReference
     * @return \StructType\ShipmentReferences
     */
    public function setShipmentReference(\StructType\ShipmentReferenceType $shipmentReference = null)
    {
        $this->ShipmentReference = $shipmentReference;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ShipmentReferences
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
